Re: requests 2.7.0 in Debian experimental

2015-05-05 Thread Ian Cordasco
On Tue, May 5, 2015 at 10:01 AM, Daniele Tricoli er...@mornie.org wrote: Hello, I have uploaded version 2.7.0 of requests in experimental because it breaks backwards compatibility. I already found that httpie needs to be update to 0.9.2[¹], but I'll start checking all requests dependants

Re: Python 2 d-d-a proposal

2015-04-15 Thread Ian Cordasco
On Wed, Apr 15, 2015 at 3:27 PM, Paul Tagliamonte paul...@debian.org wrote: Heyya d-p, I'd like to send an email to d-d-a asking that project to consider no longer creating new Debian tools in Python 2. I'd like this to have the endorsement of the team, so, does anyone object to me asking

Re: Removing some python3-* packages

2015-07-02 Thread Ian Cordasco
On Thu, Jul 2, 2015 at 6:40 PM, Ben Finney ben+deb...@benfinney.id.au wrote: Barry Warsaw ba...@debian.org writes: […] there's actually no reason to have a Python 3 version of enum in any version = Python 3.4. […] Ian Cordasco graffatcolmin...@gmail.com writes: Probably a silly question

Re: Removing some python3-* packages

2015-07-02 Thread Ian Cordasco
On Thu, Jul 2, 2015 at 10:03 PM, Robert Collins robe...@robertcollins.net wrote: On 3 July 2015 at 11:44, Ian Cordasco graffatcolmin...@gmail.com wrote: On Thu, Jul 2, 2015 at 6:40 PM, Ben Finney ben+deb...@benfinney.id.au wrote: Barry Warsaw ba...@debian.org writes: […] there's actually

Re: Removing some python3-* packages

2015-07-02 Thread Ian Cordasco
On Thu, Jul 2, 2015 at 2:55 PM, Barry Warsaw ba...@debian.org wrote: As part of the 3.5 test rebuild I noticed an incompatibility with python3-enum, which I reported upstream. The response was: there's actually no reason to have a Python 3 version of enum in any version = Python 3.4. Since

Re: Bug#785275: ITP: python-ipaddress -- Backport of the ipaddress module from Python 3.3

2015-05-22 Thread Ian Cordasco
On Fri, May 22, 2015 at 10:12 AM, Tristan Seligmann mithra...@mithrandi.net wrote: On 22 May 2015 at 16:06, Tristan Seligmann mithra...@mithrandi.net wrote: Or are you saying that the ipaddress backport is not compatible with python3 stdlib's ipaddress? (This would be a very unfortunate state

Re: PyPI wheels (was Re: Python Policy)

2015-10-21 Thread Ian Cordasco
On Wed, Oct 21, 2015 at 8:58 AM, Barry Warsaw wrote: > On Oct 21, 2015, at 08:47 PM, Brian May wrote: > >>in one case this is because upstream have only supplied a *.whl >>file on Pypi. > > I'm *really* hoping that the PyPA will prohibit binary wheel-only uploads. I'm not sure

Re: mock 1.2 breaking tests (was: python-networkx_1.10-1_amd64.changes ACCEPTED into experimental)

2015-10-06 Thread Ian Cordasco
On Tue, Oct 6, 2015 at 8:53 AM, Jeremy Stanley wrote: > On 2015-10-06 09:28:56 +0200 (+0200), Thomas Goirand wrote: >> Master != kilo. It still means that I have to do all of the backport >> work by myself. > [...] >> I know that it's the common assumption that, as the package

Re: managing transitions

2015-10-06 Thread Ian Cordasco
On Tue, Oct 6, 2015 at 1:11 PM, Barry Warsaw wrote: > On Oct 06, 2015, at 07:05 PM, Thomas Goirand wrote: > >>Interesting. It's the first time I hear about it, I thought it was just >>closed source. > > The instance at gitlab.com is the non-free Enterprise Edition (EE). EE has

Re: Removing some python3-* packages

2015-07-09 Thread Ian Cordasco
On Jul 9, 2015 5:25 AM, Robert Collins robe...@robertcollins.net wrote: On 3 July 2015 at 08:29, Scott Kitterman deb...@kitterman.com wrote: I think dropping these duplicates is the only thing that makes sense. For reference, I dropped python3-ipaddr once python3.2 was gone (because 3.3 has

Re: I've been removed from the Python team

2015-09-30 Thread Ian Cordasco
On Wed, Sep 30, 2015 at 5:04 PM, Pierre-Elliott Bécue wrote: > On mer. 30 sept. 2015 à 23:13:26, Piotr Ożarowski wrote: >> [Thomas Goirand, 2015-09-30] >> > Piotr decided to remove me from the Python team. >> >> DPMT and PAPT to be precise, yes >> >> > is an over reaction and

Joining the team

2015-12-31 Thread Ian Cordasco
Hi everyone, I would like to join the debian-python team. I have read the policy at https://python-modules.alioth.debian.org/python-modules-policy.html and accept it. My Alioth account is sigmavirus24-guest. I would like to join the team to help package and maintain python-betamax (ITP

Re: Joining the team

2015-12-31 Thread Ian Cordasco
On Thu, Dec 31, 2015 at 11:21 AM, Scott Kitterman <deb...@kitterman.com> wrote: > On Thursday, December 31, 2015 08:31:31 AM Ian Cordasco wrote: >> Hi everyone, >> >> I would like to join the debian-python team. I have read the policy at >> >> https://

Re: Python package providing both modules and an app

2016-06-22 Thread Ian Cordasco
On Jun 22, 2016 7:54 PM, "Barry Warsaw" wrote: > > On Jun 22, 2016, at 11:25 AM, Ben Finney wrote: > > >This seems to be more common now that command-line invocation is > >becoming even more discouraged. When the upstream documentation > >recommends ‘python3 -m foo.bar’ as the

Re: Test suite in github but missing from pypi tarballs

2016-04-21 Thread Ian Cordasco
On Thu, Apr 21, 2016 at 10:23 AM, Fred Drake wrote: > On Thu, Apr 21, 2016 at 10:54 AM, Tristan Seligmann > wrote: >> With my upstream developer hat on: source packages on PyPI are meant for end >> users to install via pip. They often include generated